Comments

Unhide Comment

Shows a hidden comment again. Supported on Instagram, Facebook and Threads.

DELETE
/v1/comments/{id}/hidden

Authorization

Bearer
headerAuthorizationBearer <op_>

Workspace API key, sent as Authorization: Bearer op_... Keys are created in the dashboard.

Path Parameters

id*string

A comment id from List Comments or a comment event. It only works in the workspace that received it.

Length1 <= length <= 512

Response Body

Visible

application/json
  1. response
id*string

The comment's id.

hidden*boolean

true while the comment is hidden.

Example Request
import { Configuration, CommentsApi } from "@onepostly/sdk";const commentsApi = new CommentsApi(  new Configuration({ accessToken: process.env.ONEPOSTLY_API_KEY }));const response = await commentsApi.unhideComment({  id: "cmt_1favcqJ4EESecYNmroaaaU1lO77s9mVKL017fGpcyOCXzsOinAYE2V5yWPBhZ68L0CYTTX9fr03ZhAwJnw97HmmAVb2FHvTHo07uXsI1FmxybkJDsoXqqTqM7L9XPoZo1VVuWZtGwe",});console.log(response);
Example Response
{  "id": "cmt_1favcqJ4EESecYNmroaaaU1lO77s9mVKL017fGpcyOCXzsOinAYE2V5yWPBhZ68L0CYTTX9fr03ZhAwJnw97HmmAVb2FHvTHo07uXsI1FmxybkJDsoXqqTqM7L9XPoZo1VVuWZtGwe",  "hidden": false}